#ifndef DELIVERSFORM_H
#define DELIVERSFORM_H

#include <QDialog>
#include <DataObject/DeliverObject.h>

namespace Ui {
class DeliversForm;
}

class DeliversForm : public QDialog
{
    Q_OBJECT

public:
    explicit DeliversForm(const QList<DeliverObject>& delivers, QWidget *parent = 0);
    ~DeliversForm();

    DeliverObject GetDeliver();

private:
    Ui::DeliversForm *ui;

    DeliverObject m_deliverObj;
    QPushButton *m_prevBtn;

private slots:
    void onBtnToggled(bool bChecked);
};

#endif // DELIVERSFORM_H
